function [outputArg] = plot_accumulator(panel, pltData, tr)
    % create tiledlayout (R2023a and newer)
    tl = tiledlayout(panel,"vertical");
    
    % plot 1: speed [km/h]
    ax1 = nexttile(tl);
    hold(ax1, "on")
    grid(ax1, "on")
    title(ax1, "Speed [km/h]")
    plot(ax1,pltData.xAxis(tr,:),pltData.speed_kph(tr,:))

    % plot 2: power [kW]
    ax2 = nexttile(tl);
    hold(ax2, "on")
    grid(ax2, "on")
    title(ax2, "Power [kW]")
    plot(ax2,pltData.xAxis(tr,:),pltData.ams_ptot(tr,:))

    % plot 3: Max Cell Temp [°C]
    ax3 = nexttile(tl);
    hold(ax3, "on")
    grid(ax3, "on")
    title(ax3, "Max Cell Temp [°C]")
    plot(ax3,pltData.xAxis(tr,:),pltData.ams_tmax(tr,:))
    % plot 4: State of charge [%]
    ax4 = nexttile(tl);
    hold(ax4, "on")
    grid(ax4, "on")
    title(ax4, "SOC")
    plot(ax4,pltData.xAxis(tr,:),pltData.ams_soc(tr,:))
    % link all x axes
    linkaxes([ax1, ax2, ax3, ax4],"x")

    % return null (not relevant for plots!)
    outputArg = [];
end

